basic = require("lib.basic")

currentSeed = 1

local toPlant = {
  [1] = "minecraft:wheat_seeds",
  [2] = "minecraft:potato",
  [3] = "minecraft:carrot",
}

local toCollect = {
  [1] = "minecraft:wheat",
  [2] = "minecraft:potato",
  [3] = "minecraft:carrot",
}


local function doField()
  turtle.up()

  --do 2 rows of fields
  for i=1, 2 do
    --do 3 rows
    for j=1, 3 do
      --do one row
      for k=1, 2 do
        for l=1, 3 do
          turtle.forward()
          local blockFound, blockData = turtle.inspectDown()
          selectSeed()
          if blockFound then
            turtle.digDown()
            turtle.suckDown()
            
            turtle.placeDown()
          end
        end
        turtle.forward()
      end
      -- move to next row
      if j%2==1 then
        turtle.turnRight()
        turtle.forward()
        turtle.turnRight()
      else
        turtle.turnLeft()
        turtle.forward()
        turtle.turnLeft()
      end
    end
    turtle.turnLeft()
    turtle.forward()
    turtle.turnRight()
  end
end

local function kiss()
  turtle.up()
  turtle.forward()

  for i=1, 7 do
    for j=1, 7 do

      turtle.digDown()
      turtle.suckDown()
      turtle.select(currentSeed)
      currentSeed = currentSeed + 1
      if currentSeed > 3 then
        currentSeed = 1
      end
      turtle.placeDown()
      turtle.select(1)
      
      if j<7 then
        turtle.forward()
      end
    end

    --got to next row
    if i%2==1 and i<7 then
      turtle.turnRight()
      turtle.forward()
      turtle.turnRight()
    elseif i%2==0 and i<7 then
      turtle.turnLeft()
      turtle.forward()
      turtle.turnLeft()
    end
  end

  -- sort items away
  for i=1, 8 do
    turtle.back()
  end
  turtle.turnLeft()
  turtle.down()


  --store stuff
  for i=1, #toCollect do
    for j=4, 16 do
      turtle.select(j)

      itemDetail = turtle.getItemDetail()
      if itemDetail ~= nil then
        if itemDetail.name == toCollect[i] then
          turtle.dropDown()
        end
      end
    end
    turtle.forward()
  end

  --throw away
  turtle.turnRight()
  for i=4, 16 do
    turtle.select(i)

    itemDetail = turtle.getItemDetail()
    if itemDetail ~= nil then
      turtle.drop()
    end
  end
  turtle.turnLeft()

  for i=1,3 do
    turtle.forward()
  end
  turtle.turnRight()
  turtle.forward()
end


local function main()
  while true do
    for i=1, 600 do
      basic.clearDisplay()
      print(i*5 .. "/3000")
      sleep(5)
    end
    kiss()

  end
end




main()